%define vlc_ver 0.5.2

Name: libdvdplay
Version: 1.0.1
Release: alt2

Summary: A portable abstraction library for DVD menus support
License: GPL
Group: System/Libraries
Url: http://developers.videolan.org/libdvdplay

Source: http://www.videolan.org/pub/videolan/vlc/%vlc_ver/contrib/%name-%version.tar.gz

BuildPreReq: libtool_1.4

# Automatically added by buildreq on Tue Mar 18 2003
BuildRequires: glibc-devel-static libdvdread-devel

%description
libdvdplay is a portable abstraction library for DVD menus support, it
provides a simple API to access a DVD device as a block device.

This package contains the %libname runtime library.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
The %name-devel package includes the header files and libraries
necessary for developing programs which will manipulate DVDs files using
the %name library.

%prep
%setup -q

%build
%set_libtool_version 1.4

%configure --disable-static
%make_build

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc AUTHORS NEWS README THANKS

%files devel
%_includedir/*
%_libdir/*.so
%doc ChangeLog TODO

%changelog
* Thu Nov 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt2
- use libtool 1.4
- don't package .la files.

* Tue Mar 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1
- Adopted for Sisyphus.

* Sun Mar 9 2003 Sam Hocevar <sam@zoy.org> 1.0.1-1
- version 1.0.1

* Sat Feb 1 2003 Sam Hocevar <sam@zoy.org> 1.0.0-1
- first release

* Mon Oct 28 2002 Yves Duret <yves@zarb.org> 0.1.0-1
- first spec file


